local Theme = FlexBar2.OO.Mixin 
{

};


function Theme:Activate()
	--Actual button creation (note: not setting a NormalTexture here, an apart function does that which is called later on [at the icon creation part])
	self.Frame = CreateFrame("CheckButton", "FB2_BTN_" .. self.uid, UIParent, "SecureActionButtonTemplate"); -- Need to set a frame name here for SetBindingClick to work, sigh ...
	self.Frame:SetFrameStrata("MEDIUM");
	self.Frame:SetWidth(36);
	self.Frame:SetHeight(36);

	self.Frame:SetPushedTexture("Interface\\Buttons\\UI-Quickslot-Depress");
	self.Frame:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square");
	self.Frame:GetHighlightTexture():SetBlendMode("ADD");
	self.Frame:SetCheckedTexture("Interface\\Buttons\\CheckButtonHilight");
	self.Frame:GetCheckedTexture():SetBlendMode("ADD");

	-- Icon creation
	self.Frame.Icon = self.Frame:CreateTexture(nil, "BACKGROUND");
	self.Frame.Icon:SetAllPoints(self.Frame);

	-- Cooldown ticker creation
	self.Frame.Cooldown = CreateFrame("Cooldown", nil, self.Frame, "CooldownFrameTemplate");
	self.LastCooldown = {};

	-- NormalTexture setup
	self.Frame:SetNormalTexture("Interface\\Buttons\\UI-Quickslot2");
	self.Frame:GetNormalTexture():SetWidth(60);
	self.Frame:GetNormalTexture():SetHeight(60);
	self.Frame:GetNormalTexture():ClearAllPoints();
	self.Frame:GetNormalTexture():SetPoint("CENTER", 1, -1);

	-- Button settings
	self.Frame:EnableMouse(true);
	self.Frame:SetClampedToScreen(true);
end

FlexBar2:RegisterButtonClass(Theme);
